import * as core from "@terrascript/core";

export interface DomainPolicyArgs extends core.ResourceArgs {
  accessPolicies: string | core.StringOut;

  domainName: string | core.StringOut;
}

export class DomainPolicy extends core.Resource<DomainPolicyArgs> {
  @core.attr(String)
  public accessPolicies!: string | core.StringOut;

  @core.attr(String)
  public domainName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DomainPolicyArgs) {
    super(name, "aws_opensearch_domain_policy", args);
  }

  public override getNamespace(): string {
    return "aws_opensearch";
  }
}
